
/**
 * Stores and manages price and stock level of products
 * 
 * @author John Paul Vergara 
 * @version 1 August 2006
 */

public class PriceAndStockManager
{
/*
   private int appleCount = 80;
   private double applePrice = 12.35;
   private int orangeCount = 40;
   private double orangePrice = 22.50;
   private int pomeloCount = 20;
   private double pomeloPrice = 18.00;
*/

   Product apples;
   Product oranges;
   Product pomelos;
   
   public PriceAndStockManager()
   {
       apples = new Product( 80, 12.35 );
       oranges = new Product( 40, 22.50 );
       pomelos = new Product( 20, 18.00 );
   }
   
   public int getStock( String product )
   {
       if ( product.equalsIgnoreCase( "apples" ) )
          return apples.getStock();
       else if ( product.equalsIgnoreCase( "oranges" ) )
          return oranges.getStock();
       else // if ( product.equalsIgnoreCase( "pomelos" ) )
          return pomelos.getStock();
   }
   
   public double getPrice( String product )
   {
       if ( product.equalsIgnoreCase( "apples" ) )
          return apples.getPrice();
       else if ( product.equalsIgnoreCase( "oranges" ) )
          return oranges.getPrice();
       else // if ( product.equalsIgnoreCase( "pomelos" ) )
          return pomelos.getPrice();
   }

   public void buy( String product, int qty )
   {
       if ( product.equalsIgnoreCase( "apples" ) )
           apples.decrease( qty );
       else if ( product.equalsIgnoreCase( "oranges" ) )
           oranges.decrease( qty );
       else if ( product.equalsIgnoreCase( "pomelos" ) )
           pomelos.decrease( qty );
   }
}
